This mod lets you play TF2's custom gamemode, Saxton Hale, in Risk of Rain 2, which is activatable via artifact.  This mode is a 1 versus all style gamemode where one player controls Mithrix and attempts to kill the other players before they kill him.
By default, the mode will give you some default items and teleport everyone to the unused Moon arena to fight Mithrix, but the mod can be configured to have this gamemode trigger at the end of a normal run as well,
if you'd like to spice it up with your friends a little bit.  Some gameplay changes during the gamemode for balance/fun:

- Mithrix's hammer spawns power orbs (same as phase 4) on hammer slam during phase 1.  Amount can be adjusted in the config.

- Mithrix can't be frozen

- Mithrix summons player-controlled exploders with his jump, phase 4 can jump and summons player-controlled clones instead

- Phase 2 is skipped during Saxton Hale mode

- Mithrix's jump comes down much faster

- REX's flower only lasts for 1.5 seconds, still heals the same amount

- Phase 4 shoots more shards, making it very deadly compared to vanilla

## Config Options

- Natural Rounds: Turning on the artifact has a normal round play out, which then switches to Saxton Hale once the players reach Mithrix naturally. Defaults to false.

- Enable Moon Pillars: Enables the moon arena's pillars during phase 2. Defaults to false.

- Enable Void Arena: Enables Voidling's Void Arena to sometimes be used instead of Mithrix's arena. Defaults to true.

- Disable Mithrix Gameplay Changes: Disables Mithrix's gameplay changes. Enable this if you intend to use a modded Mithrix.

- Player Level: What level the players are set to when the mode is played and natural rounds is off.  Default is 20.

- Boss Level: What level Mithrix is set to when the mode is played and natural rounds is off.  Default is 36.

- Ball Amount: How many orbs Mithrix spawns when slamming the ground with his hammer.  Default is 6.

- Enable Debug Commands: Enables debug chat commands. Defaults to false.

## Changelog

1.1.1

- Removed damage from Mithrix's headstompers until I can properly balance it
- Fixed a bug where the final player wouldn't get random crits
- Fixed a bug where every run would start with a game over screen if certain steps were taken.
- New config option to disable Mithrix's gameplay changes. Use this if you intend to use a modded Mithrix.

1.1.0

Massive update. Fixed the game crashing at the start of a run sometimes, gave Mithrix tools to deal with runaway players, changed the final phase, and more.
- Reworked most of the mod
- Fixed a lot of bugs, including the game crashing when starting a run sometimes
- Minions spawn every 60 seconds as opposed to whenever Mithrix leaps, and this occurs only after phase 1.
- Phase 1 is the only phase to feature the energy ball spawns when using M1. Phase 3 still has its unique mechanics intact otherwise (Flame pillar and shockwave + Mithrix's ultimate)
- If more than 4 players are playing, two lunar golems controlled by players are spawned at the start of phase 2.
- Last player standing receives permenant critical hits
- Added Voidling's void arena as a possible alternate stage
- Removed the moon arena's pillars coming up by default, can be re-enabled in the config
- Slightly re-balanced player items
- Gave Mithrix moonshoes
- Gave Mithrix glowing meteor
- Mithrix has slightly less scaling health per player, no longer counts the Mithrix player for scaling purposes
- Mithrix cannot run, dash, or sky jump during phase 4 (looked very bad, will probably try to improve the final phase at a later date, for now its vanilla except buffed and with minions)
- Mithrix's ground slam costs no health to use
- Added boss queue system. Players are no longer randomly chosen to become Mithrix, but instead have a weight system for each round they go without being Mithrix. Players with the greatest weight are always chosen (if several players have the same weight, it will randomly pick one of them), after which their weight is reset to 0. Player selection is still random in Natural Rounds mode.

1.0.2

- Updated for DLC 1
- Now has its own artifact icon
- Changed some default config options

1.0.1

- Fixed client messages not being sent through.  Happy new year!

1.0.0

- Release.  Merry Christmas!